Skip to content
Back to Steward

Update a note

PATCH
/api/v1/notes/{noteId}
noteId
required
string

Note ID

object
content
required

Updated content of the note

string
>= 1 characters
Example
Applicant confirmed ownership structure during call on 10/29
attachments

File attachments

Array<object>
object
key
required

S3 key of the attachment

string
Example
uploads/uuid_document.pdf
fileName
required

Original file name

string
Example
document.pdf
contentType
required

MIME type of the file

string
Example
application/pdf
fileUrl
required

URL to access the file

string
Example
https://bucket.s3.amazonaws.com/uploads/uuid_document.pdf

Note updated successfully

object
id
required

Note ID

string
Example
507f1f77bcf86cd799439011
content
required

Content of the note

string
Example
Applicant confirmed ownership structure during call
attachments
required

File attachments

Array<object>
object
key
required

S3 key of the attachment

string
Example
uploads/uuid_document.pdf
fileName
required

Original file name

string
Example
document.pdf
contentType
required

MIME type of the file

string
Example
application/pdf
fileUrl
required

URL to access the file

string
Example
https://bucket.s3.amazonaws.com/uploads/uuid_document.pdf
createdBy
required

ID of the user who created the note

string
Example
60d5ecb54b24003a7c8e92b2
updatedBy

ID of the user who last updated the note

string
Example
60d5ecb54b24003a7c8e92b2
createdByUser
required

User who created the note

object
firstName
required

First name of the user

string
Example
John
lastName
required

Last name of the user

string
Example
Smith
email
required

Email address of the user

string
Example
john.smith@example.com
updatedByUser

User who last updated the note

object
firstName
required

First name of the user

string
Example
John
lastName
required

Last name of the user

string
Example
Smith
email
required

Email address of the user

string
Example
john.smith@example.com
createdAt
required

Date the note was created

string format: date-time
Example
2026-03-30T12:00:00.000Z
updatedAt
required

Date the note was last updated

string format: date-time
Example
2026-03-30T12:00:00.000Z
Example
{
"id": "507f1f77bcf86cd799439011",
"content": "Applicant confirmed ownership structure during call",
"attachments": [
{
"key": "uploads/uuid_document.pdf",
"fileName": "document.pdf",
"contentType": "application/pdf",
"fileUrl": "https://bucket.s3.amazonaws.com/uploads/uuid_document.pdf"
}
],
"createdBy": "60d5ecb54b24003a7c8e92b2",
"updatedBy": "60d5ecb54b24003a7c8e92b2",
"createdByUser": {
"firstName": "John",
"lastName": "Smith",
"email": "john.smith@example.com"
},
"updatedByUser": {
"firstName": "John",
"lastName": "Smith",
"email": "john.smith@example.com"
},
"createdAt": "2026-03-30T12:00:00.000Z",
"updatedAt": "2026-03-30T12:00:00.000Z"
}

Note is deleted

Note not found